Skip to main content
POST
/
card-holders
Create a card holder
curl --request POST \
  --url https://api-dev.paygen.online/card-holders \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'name=Alex Johnson' \
  --form 'person={"firstName":"Alex","lastName":"Johnson","dateOfBirth":"1990-04-12","email":"alex.johnson@example.com","nationality":"US","gender":"m","phoneNumber":"+12125550198"}' \
  --form documentMain='@example-file' \
  --form documentBack='@example-file' \
  --form proofOfAddress='@example-file'
{
  "statusCode": 123,
  "message": "<string>",
  "data": {
    "_id": "<string>",
    "name": "<string>",
    "person": {
      "firstName": "<string>",
      "lastName": "<string>",
      "dateOfBirth": "<string>",
      "email": "jsmith@example.com",
      "nationality": "<string>",
      "gender": "m",
      "phoneNumber": "<string>"
    },
    "address": {
      "line1": "<string>",
      "city": "<string>",
      "state": "<string>",
      "postalCode": "<string>",
      "countryCode": "<string>"
    },
    "identification": {
      "document": {
        "type": "<string>",
        "number": "<string>",
        "issueDate": "<string>",
        "expiryDate": "<string>",
        "issuingCountry": "<string>",
        "verificationStatus": "<string>",
        "description": "<string>",
        "urls": {
          "main": "<string>",
          "back": "<string>"
        },
        "meta": {
          "fileType": "<string>",
          "contentHash": "<string>"
        }
      },
      "proofOfAddress": {
        "type": "<string>",
        "documentId": "<string>",
        "verificationStatus": "<string>",
        "description": "<string>",
        "url": "<string>",
        "meta": {
          "fileType": "<string>",
          "contentHash": "<string>"
        }
      }
    },
    "meta": {
      "fundingSource": "<string>",
      "monthlyTransactionValue": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

multipart/form-data
name
string
required
Example:

"Alex Johnson"

person
string
required

JSON string. Supports camelCase and snake_case aliases.

Example:

"{\"firstName\":\"Alex\",\"lastName\":\"Johnson\",\"dateOfBirth\":\"1990-04-12\",\"email\":\"alex.johnson@example.com\",\"nationality\":\"US\",\"gender\":\"m\",\"phoneNumber\":\"+12125550198\"}"

address
string

JSON string. Supports postalCode/postal_code and countryCode/country_code.

Example:

"{\"line1\":\"210 West 77th Street\",\"city\":\"New York\",\"state\":\"New York\",\"postalCode\":\"10024\",\"countryCode\":\"US\"}"

identification
string

JSON string containing document and proofOfAddress details.

Example:

"{\"document\":{\"type\":\"international_passport\",\"number\":\"***9884\"},\"proofOfAddress\":{\"type\":\"utility_bill\"}}"

meta
string

JSON string for optional metadata.

Example:

"{\"fundingSource\":\"salary\",\"monthlyTransactionValue\":\"5000\"}"

documentMain
file
documentBack
file
proofOfAddress
file

Response

201 - application/json

Card holder created successfully.

statusCode
integer
required
message
string
required
data
object